<!-- Navbar Home-->
<nav class="navbar navbar-expand-lg fixed-top navbar-transparent" *ngIf="typeNavbar === 'home'" color-on-scroll="300">
  <div class="container">
    <div class="navbar-translate">
      <a class="navbar-brand" routerLink="">
        SiteWeb
      </a>
      <button class="navbar-toggler navbar-toggler" type="button" data-toggle="collapse" data-target="#navigation"
        aria-controls="navigation-index" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-bar bar1"></span>
        <span class="navbar-toggler-bar bar2"></span>
        <span class="navbar-toggler-bar bar3"></span>
      </button>
    </div>
    <div class="collapse navbar-collapse justify-content-end" id="navigation">
      <ul class="navbar-nav">
        <div class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#pk" role="button" aria-haspopup="true"
            aria-expanded="false">
            {{ "components.navbar.site_language" | translate }}
            <!-- <i class="nc-icon nc-settings-gear-65" aria-hidden="true"></i> -->
          </a>
          <ul class="dropdown-menu dropdown-menu-right dropdown-danger">
            <button class="dropdown-item" [ngClass]="{'active-btn': btnDisabledEs}" (click)="changeLang('es')"><img
                src="../../../assets//img/flags/ES.png" alt="" srcset="">
              {{ "components.navbar.languages.es" | translate }}</button>
            <button class="dropdown-item" [ngClass]="{'active-btn': btnDisabledEn}" (click)="changeLang('en')"><img
                src="../../../assets//img/flags/US.png" alt="" srcset="">
              {{ "components.navbar.languages.en" | translate }}</button>
          </ul>
        </div>
        <li class="nav-item dropdown" *ngIf="user">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" data-toggle="dropdown"
            aria-haspopup="true" aria-expanded="false">
            {{ user . name }} {{ user . last_name }}
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
            <a class="dropdown-item" [routerLink]="[{ outlets: { sections: ['profile'] } } ]"><i class="fa fa-user"
                aria-hidden="true"></i> {{ 'components.navbar.profile' | translate }}</a>
            <!-- <a class="dropdown-item" [routerLink]="[{ outlets: { sections: ['users'] } } ]"><i class="fa fa-users" aria-hidden="true"></i> {{ 'components.navbar.users' | translate }}</a> -->
            <a class="dropdown-item" (click)="sign_out()"><i class="fa fa-sign-out" aria-hidden="true"></i>
              {{ 'components.navbar.sign_out' | translate }}</a>
          </div>
        </li>
        <li class="nav-item" [hidden]="showBtgLogin">
          <button target="_blank" class="btn btn-danger btn-round" routerLink="login"
            *ngIf="!user">{{ "components.navbar.btns.login" | translate }}</button>
          <button target="_blank" class="btn btn-danger btn-round" (click)="goToHome()"
            *ngIf="user">{{ "components.navbar.btns.home" | translate }}</button>
        </li>
        <li class="nav-item">
          <button target="_blank" routerLink="become_teacher"
            class="btn btn-danger btn-round">{{ "components.navbar.btns.become_teacher" | translate }}</button>
        </li>

      </ul>
    </div>
  </div>
</nav>
<!-- End Navbar -->

<!-- Navbar Dashboard-->
<nav class="navbar navbar-expand-lg bg-danger" *ngIf="typeNavbar === 'dashboard'">
  <div class="container">
    <!-- BTNS hidden -->
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#example-navbar"
      aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-bar bar1"></span>
      <span class="navbar-toggler-bar bar2"></span>
      <span class="navbar-toggler-bar bar3"></span>
    </button>
    <a class="navbar-brand" routerLink="">
      SiteWeb
    </a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown"
      aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse row" id="navbarNavDropdown">
      <ul class="navbar-nav justify-content-end col-12">
        <li class="nav-item active" *ngIf="user.rol.id == 1 ">
          <a class="nav-link" [routerLink]="[{ outlets: { sections: ['home'] } } ]">
            {{ 'components.navbar.home' | translate }} <span class="sr-only">(current)</span></a>
        </li>
        <li class="nav-item" *ngIf="user.rol.id == 3">
          <a class="nav-link" [routerLink]="[{ outlets: { sections: ['classes'] } } ]"><i class="fa fa-search"
              aria-hidden="true"></i> {{ 'components.navbar.search_classes' | translate }}</a>
        </li>
        <li class="nav-item" *ngIf="user.rol.id == 1">
          <a class="nav-link" [routerLink]="[{ outlets: { sections: ['users'] } } ]"><i class="fa fa-users"
              aria-hidden="true"></i> {{ 'components.navbar.users' | translate }}</a>
        </li>
        <li class="nav-item" *ngIf="user.rol.id == 1">
          <a class="nav-link" [routerLink]="[{ outlets: { sections: ['users'] } } ]"><i class="fa fa-users"
              aria-hidden="true"></i> {{ 'components.navbar.users' | translate }}</a>
        </li>

        <li class="nav-item" *ngIf="user.rol.id == 2">
          <a class="nav-link" [routerLink]="[{ outlets: { sections: ['schedule'] } } ]"><i class="fa fa-calendar"
              aria-hidden="true"></i> {{ 'components.navbar.schedule' | translate }}</a>
        </li>
        <li class="nav-item" *ngIf="user.rol.id == 2">
          <a class="nav-link" [routerLink]="[{ outlets: { sections: ['my-classes-teacher'] } } ]"><i class="fa fa-book"
              aria-hidden="true"></i> {{ 'components.navbar.my_classes' | translate }}</a>
        </li>
        <div class="nav-item dropdown" *ngIf="user.rol.id == 3">
          <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#pk" role="button" aria-haspopup="true"
            aria-expanded="false"><i class="fa fa-book" aria-hidden="true"></i>
            {{ 'components.navbar.classroom' | translate }}
          </a>
          <ul class="dropdown-menu dropdown-menu-right dropdown-danger">
            <button class="dropdown-item"
              [routerLink]="[{ outlets: { sections: ['my-classes'] } } ]">{{ 'components.navbar.classes' | translate }}</button>
            <button class="dropdown-item"
              [routerLink]="[{ outlets: { sections: ['schedule'] } } ]">{{ 'components.navbar.schedule' | translate }}</button>
            <button class="dropdown-item"
              [routerLink]="[{ outlets: { sections: ['activities-list'] } } ]">{{ 'components.navbar.activities' | translate }}</button>
          </ul>
        </div>
        <div class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#pk" role="button" aria-haspopup="true"
            aria-expanded="false"><i class="fa fa-language" aria-hidden="true"></i>
            {{ "components.navbar.site_language" | translate }}
          </a>
          <ul class="dropdown-menu dropdown-menu-right dropdown-danger">
            <button class="dropdown-item" [ngClass]="{'active-btn': btnDisabledEs}" (click)="changeLang('es')"><img
                src="../../../assets//img/flags/ES.png" alt="" srcset="">
              {{ "components.navbar.languages.es" | translate }}</button>
            <button class="dropdown-item" [ngClass]="{'active-btn': btnDisabledEn}" (click)="changeLang('en')"><img
                src="../../../assets//img/flags/US.png" alt="" srcset="">
              {{ "components.navbar.languages.en" | translate }}</button>
          </ul>
        </div>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" data-toggle="dropdown"
            aria-haspopup="true" aria-expanded="false">
            {{ user . name }} {{ user . last_name }} <small class="text-muted" *ngIf="user.rol.id == 2"> (
              {{ 'components.users.rol.teacher' | translate }} )</small><small class="text-muted"
              *ngIf="user.rol.id == 1"> ( {{ 'components.users.rol.administrator' | translate }} )</small><small
              class="text-muted" *ngIf="user.rol.id == 3"> ( {{ 'components.users.rol.student' | translate }} )</small>
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
            <a class="dropdown-item" [routerLink]="[{ outlets: { sections: ['profile'] } } ]"><i class="fa fa-user"
                aria-hidden="true"></i> {{ 'components.navbar.profile' | translate }}</a>
            <a class="dropdown-item" (click)="sign_out()"><i class="fa fa-sign-out" aria-hidden="true"></i>
              {{ 'components.navbar.sign_out' | translate }}</a>
          </div>
        </li>
      </ul>
    </div>
  </div>
</nav>
